Subject: Re: bug#74673: 30.0.92; face warning on legal elisp syntax

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Dec 2024 20:55:08 +0200

> Date: Wed, 4 Dec 2024 09:51:59 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 12/4/2024 4:23 AM, Eli Zaretskii wrote:
> > If you really need to be able to show tool tips without the mouse, you
> > can write a simple function to show its text in the echo-area.
> > However, most tooltips are shown on UI parts where you cannot go, so
> > such a command will be of somewhat limited use.
> 
> Flymake has an option for displaying diagnostic messages in-line: 
> 'flymake-show-diagnostics-at-end-of-line'. Maybe we could make Elisp 
> mode use Flymake's facilities for marking the warning when it's active?

I don't like features that use overlays to show long text, because
they case problems.  And in this case we already have a feature that
will display the tool-tip text in the echo-area: customize
help-at-pt-display-when-idle to the value t.